# Load default processing options
imports:
    # Options like RTE.default.proc
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    # Basic settings like the width and height of the rte, buttons, which should be removed by default and so on.
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    # Plugin configuration, e.g. image plugin
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: "EXT:drbeckmann_products/Resources/Public/rte.css"

    format_tags: "p;h2;h3;h4"

    toolbarGroups:
      - { name: styles, groups: [ styles, format ] }
      - { name: basicstyles, groups: [ basicstyles ] }
      - { name: paragraph, groups: [ list ] }
      - { name: links, groups: [ links ] }
      - { name: clipboard, groups: [ clipboard, cleanup, undo ] }
      - { name: insert, groups: [ insert ] }
      - { name: document, groups: [ mode ] }

    removePlugins:
      - image
      - horizontalrule

    removeButtons:
      - Anchor
      - Underline
      - Strike
      - Subscript
      - Superscript
      - Table

    stylesSet:
      # block level styles
      - { name: "Column List", element: "ul", attributes: { class: "columned-list" } }

processing:
  # Tags that are allowed in the content in general
  allowTags: [h2, h3, h4, p, br, ul, ol, li, strong, em, b, i, a, span]

  HTMLparser_db:
      ## STRIP ALL ATTRIBUTES FROM THESE TAGS
      noAttrib: [h2, h3, h4, br, li, strong, em, b, i]

      allowAttributes: [class, id, title, dir, lang, xml:lang, itemscope, itemtype, itemprop]
      allowedClasses: [columned-list]

      # Can be disabled if you trust ckeditor (If Automatic Content Formatting is enabled, this should be OK)
      # allowTags: %default%
      denyTags: [table, tbody, tr, th, td, h1, h5, h6, div, pre, blockquote, u, sub, sup, strike, img, nobr, hr, center, font, tt, q, cite, abbr, acronym, address, sdfield]

      ## REMOVE OPEN OFFICE META DATA TAGS, WORD 2003 TAGS, LINK, META, STYLE AND TITLE TAGS, AND DEPRECATED HTML TAGS
      ## We use this rule instead of the denyTags rule so that we can protect custom tags without protecting these unwanted tags.
      removeTags: [table, tbody, tr, th, td, h1, h5, h6, div, pre, blockquote, u, sub, sup, strike, img, nobr, hr, center, font, tt, q, cite, abbr, acronym, address, sdfield]
